## pyutilib 5.8.0

=== doc/workflow/Makefile ===
#
# Create The Following Documents:
#
#   . Managing Python Workflows with pyutilib.workflow
#     workflow.tex
#

all: workflow

workflow: lstanchors
	pdflatex workflow
	bibtex workflow
	pdflatex workflow
	pdflatex workflow

sand: lstanchors
	pdflatex SAND
	bibtex SAND
	pdflatex SAND
	pdflatex SAND

strip_examples:
	python example_exec.py

lstanchors:
	./lstanchors.pl workflow-*.tex

clean:
	@- find . -name '*_strip.py' | xargs rm
	@- find . -name '*.py.bak' | xargs rm
	@- find . -name '*.tex.bak' | xargs rm

## pyutilib 5.3.5

=== debian/changelog ===
pyutilib (5.3.5-1) unstable; urgency=medium

  * New upstream release.
  * deb/control: bumped standards to 3.9.8 (no changes needed).

 -- Daniel Stender <stender@debian.org>  Sun, 08 May 2016 09:12:22 +0200

pyutilib (5.3.2-1) unstable; urgency=medium

  * New upstream release.
  * deb/control:
    + updated uploader email address, Homepage.
  * deb/copyright:
    + updated Source (project moved to Github).
    + added .gitignore to Files-Excluded.
    + updated copyright spans, email address.
  * deb/watch: watch Github repo.

 -- Daniel Stender <stender@debian.org>  Fri, 08 Apr 2016 20:45:40 +0200

pyutilib (5.2.3601-1) unstable; urgency=medium

  * Initial release (Closes: #803791).

 -- Daniel Stender <debian@danielstender.com>  Thu, 25 Feb 2016 21:55:47 +0100

=== debian/control ===
Source: pyutilib
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Daniel Stender <stender@debian.org>
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python3-all,
 python3-setuptools,
 python3-six,
 python3-nose
Standards-Version: 3.9.8
Homepage: https://github.com/PyUtilib/pyutilib
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/pyutilib.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/pyutilib.git
X-Python-Version: >= 3.4

Package: python3-pyutilib
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends}
Recommends:
 python3-pyro4
Description: Python 3 library featuring development utilities
 Pyutilib is a ensemble of Python packages that includes a wide variety
 of utilities for software development.
 .
 The highlight features of this package are:
  - pyutilib.component: well-developed architecture for managing software
    components in complex Python applications
  - pyutilib.workflow: Python classes that provide an intuitive interface
    for defining and executing scientific workflows
  - pyutilib.autotest: automates the setup of test suites from test
    configuration files
  - pyutilib.th: utilities for testing Python software. The main component is an
    extension of Unittest to support new testing capabilities
 .
 Plus, the package includes a couple of useful helper scripts.

# if you need a Python 2 package, please file a bug report

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
#export DEB_BUILD_OPTIONS=nocheck
export PYBUILD_NAME=pyutilib

export PYBUILD_INSTALL_ARGS=--install-scripts=/usr/share/{package} # the scripts are prevalently benign

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:

override_dh_installexamples:
	dh_installexamples examples/*
	install -d debian/python3-pyutilib/usr/share/doc/python3-pyutilib/examples/workflow
	cp -av doc/workflow/examples/* debian/python3-pyutilib/usr/share/doc/python3-pyutilib/examples/workflow/

## pyutilib 5.7.3

=== debian/changelog ===
pyutilib (5.7.3-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * Convert git repository from git-dpm to gbp layout
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.1.

  [ Andreas Tille ]
  * Add myself as Uploader
  * debhelper 12
  * Do not exclude .gitignore from upstream source

  [ Steffen Moeller ]
  * New upstream version
  * Testsuite: autopkgtest-pkg-python (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Added suggestion to 'valgrind'
  * Bump Standards-Version to 4.5.0
  * Removed invocations of python2 (Closes: #949730)

 -- Steffen Moeller <moeller@debian.org>  Fri, 24 Jan 2020 13:14:08 +0100

=== debian/control ===
Source: pyutilib
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>,
           Andreas Tille <tille@debian.org>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-six,
               python3-xlrd <!nocheck>,
               python3-yaml <!nocheck>,
               python3-nose <!nocheck>,
               valgrind  <!nocheck>
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/python-team/modules/pyutilib
Vcs-Git: https://salsa.debian.org/python-team/modules/pyutilib.git
Homepage: https://github.com/PyUtilib/pyutilib

Package: python3-pyutilib
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends}
Recommends: python3-pyro4
Suggests: valgrind
Description: Python 3 library featuring development utilities
 Pyutilib is a ensemble of Python packages that includes a wide variety
 of utilities for software development.
 .
 The highlight features of this package are:
  - pyutilib.component: well-developed architecture for managing software
    components in complex Python applications
  - pyutilib.workflow: Python classes that provide an intuitive interface
    for defining and executing scientific workflows
  - pyutilib.autotest: automates the setup of test suites from test
    configuration files
  - pyutilib.th: utilities for testing Python software. The main component is an
    extension of Unittest to support new testing capabilities
 .
 Plus, the package includes a couple of useful helper scripts.

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #!/usr/bin/make -f
-#export DH_VERBOSE=1
+export DH_VERBOSE=1
 #export DEB_BUILD_OPTIONS=nocheck
 export PYBUILD_NAME=pyutilib
 
@@ -9,8 +9,24 @@
 	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	for pt in `find pyutilib -name tests -type d` ; do \
+	    cp -a $${pt}/* $(shell pybuild --print build_dir --interpreter python3)/$${pt} ; \
+	done
+	# PYTHONPATH=$(shell pybuild --print build_dir --interpreter python3)
+	dh_auto_test || true
+endif
+
+override_dh_auto_install:
+	dh_auto_install
+	find debian/*/usr/lib/python3*/dist-packages/$(PYBUILD_NAME)/component/loader/tests/eggsrc -name setup.py -exec sed -i '1s+#!.*python$$+#!/usr/bin/python3+' \{\} \;
+	sed -i '1s+#!.*python$$+#!/usr/bin/python3+' debian/*/usr/lib/python3*/dist-packages/$(PYBUILD_NAME)/enum/tests/test_enum.py
 
 override_dh_installexamples:
 	dh_installexamples examples/*
 	install -d debian/python3-pyutilib/usr/share/doc/python3-pyutilib/examples/workflow
 	cp -av doc/workflow/examples/* debian/python3-pyutilib/usr/share/doc/python3-pyutilib/examples/workflow/
+
+override_dh_fixperms:
+	dh_fixperms
+	find debian/*/usr -name "*.txt" -exec chmod -x \{\} \;

=== debian/watch ===
version=3
opts="filenamemangle=s/(?:.*)?v?(\d[\d\.]+)\.tar\.gz/pyutilib-$1.tar.gz/" \
https://github.com/pyutilib/pyutilib/releases (?:.*/)?v?(\d[\d\.]+)\.tar\.gz

## pyutilib 5.8.0

=== debian/changelog ===
pyutilib (5.8.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Sandro Tosi <morph@debian.org>  Sat, 04 Jun 2022 18:38:27 -0400

pyutilib (5.8.0-1) unstable; urgency=medium

  * New upstream version
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Added ref to conda

 -- Steffen Moeller <moeller@debian.org>  Sun, 17 May 2020 01:26:51 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: pyutilib
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Steffen Moeller <moeller@debian.org>,
            Andreas Tille <tille@debian.org>
 Section: python
@@ -15,9 +15,10 @@
                python3-nose <!nocheck>,
                valgrind  <!nocheck>
 Standards-Version: 4.5.0
-Vcs-Browser: https://salsa.debian.org/python-team/modules/pyutilib
-Vcs-Git: https://salsa.debian.org/python-team/modules/pyutilib.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/pyutilib
+Vcs-Git: https://salsa.debian.org/python-team/packages/pyutilib.git
 Homepage: https://github.com/PyUtilib/pyutilib
+Rules-Requires-Root: no
 
 Package: python3-pyutilib
 Architecture: all

## pyutilib 6.0.0

=== doc/plugin/Makefile ===
#
# Create The Following Documents:
#
#   . An Overview of the PyUtilib Component Architecture
#     pca.tex
#

all: pca

pca:
	pdflatex pca
	bibtex pca
	pdflatex pca
	pdflatex pca

sand:
	pdflatex SAND
	bibtex SAND
	pdflatex SAND
	pdflatex SAND

=== debian/changelog ===
pyutilib (6.0.0-1) unstable; urgency=medium

  * Fix watch file
  * New upstream version
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * watch file standard 4 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 01 Dec 2022 07:43:26 +0100

pyutilib (5.8.0-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
    + Drop check for DEB_BUILD_OPTIONS containing "nocheck", since debhelper now
      does this.
  * Update renamed lintian tag names in lintian overrides.
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 17 Oct 2022 02:11:34 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Section: python
 Testsuite: autopkgtest-pkg-python
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-setuptools,
@@ -13,8 +13,8 @@
                python3-xlrd <!nocheck>,
                python3-yaml <!nocheck>,
                python3-nose <!nocheck>,
-               valgrind  <!nocheck>
-Standards-Version: 4.5.0
+               valgrind <!nocheck>
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pyutilib
 Vcs-Git: https://salsa.debian.org/python-team/packages/pyutilib.git
 Homepage: https://github.com/PyUtilib/pyutilib

=== debian/rules ===
--- 
+++ 
@@ -9,18 +9,15 @@
 	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_auto_test:
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	for pt in `find pyutilib -name tests -type d` ; do \
 	    cp -a $${pt}/* $(shell pybuild --print build_dir --interpreter python3)/$${pt} ; \
 	done
 	# PYTHONPATH=$(shell pybuild --print build_dir --interpreter python3)
 	dh_auto_test || true
-endif
 
 override_dh_auto_install:
 	dh_auto_install
 	find debian/*/usr/lib/python3*/dist-packages/$(PYBUILD_NAME)/component/loader/tests/eggsrc -name setup.py -exec sed -i '1s+#!.*python$$+#!/usr/bin/python3+' \{\} \;
-	sed -i '1s+#!.*python$$+#!/usr/bin/python3+' debian/*/usr/lib/python3*/dist-packages/$(PYBUILD_NAME)/enum/tests/test_enum.py
 
 override_dh_installexamples:
 	dh_installexamples examples/*

=== debian/watch ===
version=4
opts="filenamemangle=s/(?:.*)?v?(\d[\d\.]+)\.tar\.gz/pyutilib-$1.tar.gz/" \
  https://github.com/pyutilib/pyutilib/tags (?:.*/)?v?(\d[\d\.]+)\.tar\.gz
